List persons.

  • This endpoint returns a list of persons.
  • The endpoint supports pagination and filtering based on various parameters such as id, first_name, last_name, created_at, and updated_at.
    • Filters are combined using the logical "AND" operator, which requires that all conditions be true for the output to be included.
  • The endpoint requires the personio:persons:read scope.
Query Params
integer
1 to 50
Defaults to 10

The amount of resources to be returned per one request. It can range between 1 and 50, and the default is 10.

string

The pagination cursor to navigate over to the next list of resources. If you pass a specific limit to your request, or you rely on the default value of the number of resources to be returned, then your subsequent call has to include the cursor in order to retrieve the next list of resources. If cursor is missing, the first page is returned.

string

Filter results matching one or more provided person ids.

string

Filter persons matching one or more provided email addresses

string

Filter persons matching the provided first_name.

string

Filter persons matching the provided last_name.

string

Filter persons matching provided preferred_name.

date-time

Filter persons by creation date.

date-time

Filter persons created after the provided date.

date-time

Filter persons created before the provided date.

date-time

Filter persons by updated date.

date-time

Filter persons updated after the provided date.

date-time

Filter persons updated before the provided date.

string
enum

Filter persons by status. ACTIVE includes persons whose latest employment status is active, leave, or onboarding. INACTIVE includes persons whose latest employment status is inactive.

Allowed:
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json